// ================================================================================================
//  File Name: custom-rtl.scss
//  Description: RTL support SCSS file.
//  ----------------------------------------------------------------------------------------------
//  Item Name: Vuexy  - Vuejs, HTML & Laravel Admin Dashboard Template
//  Author: PIXINVENT
//  Author URL: http://www.themeforest.net/user/pixinvent
// ================================================================================================

/*rtl:begin:ignore*/

// Variables
// ------------------------------
@import url('https://fonts.googleapis.com/css2?family=Assistant:wght@200;400;600;700;800&display=swap');
// Core variables and mixins
@import "bootstrap/functions";
@import "bootstrap/mixins";
@import "bootstrap-extended/mixins";

// Core variables and mixins overrides
@import "core/variables/variables";
@import "bootstrap/variables";

// Overrides user variable
@import "core/variables/components-variables";
@import 'material-icons/iconfont/material-icons.scss';


// Align icons position
.main-menu {
    .navigation li > a > i,
    .dropdown-menu i,
    .dropdown-user > a > i,
    .navigation > li > a > i {
        float: right;
    }
    .navigation > li ul li > a {
        display: flex;
        align-items: center;
    }
}
.ql-editor{
    min-height:200px;
    direction: rtl;
    text-align: right;
}

// Dropdown RTL Changes
.header-navbar .navbar-container ul.nav li.dropdown{
    .dropdown-menu{
        top: 48px !important;
        &::before{
            top: 1px;
        }
    }
    &.dropdown-user .dropdown-menu{
        .dropdown-item{
            i{
                float: right;
            }
        }
    }
}

.header-navbar{
    .dropdown,.dropup{
        .dropdown-menu.dropdown-menu-right::before{
            right: auto;
            left: .5rem;
        }
    }
}
.dropdown,.dropup{
    .dropdown-menu{
        right: auto !important;
        top: 0 !important;
        left: auto !important;
        &.dropdown-menu-right{
            left: 0 !important;
            &::before{
                right: 0.6rem;
                left: auto;
            }
        }
    }
}
.dropleft .dropdown-toggle{
    &::before{
        content: '\e844' !important;
    }
}
.dropright .dropdown-toggle{
    &::after{
        content: '\e843' !important;
    }
}
// Input Group dropdown
.input-group{
    .dropdown-menu.show{
        top: 0 !important;
        right: auto !important;
        left: 0px  !important;
    }
}

// Chartist
.chartjs-render-monitor{
    margin-right: 1rem;
}

// Datatable
div.dataTables_wrapper div.dataTables_filter {
    text-align: left !important;
}

// Dashboard Style
#dashboard-analytics{
    .img-left{
        left: 0;
        right: auto !important;
    }
    .img-right{
        right: 0;
        left: auto;
    }
}

// No UI RTL css
.square{
    &.slider-xl{
        .noUi-handle{
            &:before{
                left: 5px;
            }

            &:after{
                left: 10px;
            }
        }
    }
    .noUi-handle{
        &:before{
            left: 2px;
        }

        &:after{
            left: 7px;
        }
    }
}

.noUi-vertical{
    &.square{
        .noUi-handle{
            &:before{
                left:-1px;
            }
            &:after{
                left:-1px;
            }
        }
    }
}

.noUi-horizontal{
  &.slider-sm{
    .noUi-handle{
      left: auto !important;
      right: -2px !important;
    }
  }

  &.slider-xs{
    .noUi-handle{
      left: auto !important;
      right: -2px !important;
    }
  }
}

// Context menu list css
.context-menu-list{
    z-index: 1031 !important;
}
.context-menu-item>.context-menu-list{
    right: 100%;
    margin-right: 0;
}

// Pagination
.pagination .page-item.prev-item .page-link:before {
    content: "\e844";
    font-family: 'feather';
}
.pagination .page-item.next-item .page-link:after {
    content: "\e843";
    font-family: 'feather';
}
.pagination .page-item.prev .page-link:after,
.pagination .page-item.previous .page-link:after {
    content: "\e844";
    font-family: 'feather';
}
.pagination .page-item.prev .page-link:before,
.pagination .page-item.previous .page-link:before {
    display: none;
}
.pagination .page-item.next .page-link:before {
    content: "\e843";
    font-family: 'feather';
}
.pagination .page-item.next .page-link:after {
    display: none;
}

code[class*="language-"],
pre[class*="language-"] {
  direction: ltr;
}
@media print {
  code[class*="language-"],
  pre[class*="language-"] {
    text-shadow: none;
  }
}

// Application
.list-group .list-group-item i{
    float: right;
}

// Email Application

.email-application {
    .app-content {
      .list-group {
        .list-group-item {
          i {
            float: right !important;
          }
        }
      }
    }
}

// Ecommerce Application
.ecommerce-application .sidebar-shop .range-slider.noUi-horizontal .noUi-handle{
    left: 5px !important;
}

// Calendar
.fc .fc-header-toolbar .fc-right .fc-button.fc-prev-button .fc-icon{
    right: 4px !important;
}
.fc .fc-header-toolbar .fc-right .fc-button.fc-next-button .fc-icon{
    left: -3px !important;
}

// Button with Icons
.btn{
    i{
        float: right;
        margin-left: .25rem;
    }
    &.btn-icon i{
        margin-left: 0;
    }
}

// carousel changes
.carousel-control-next{
    left: auto;
    right: 0;
}
.carousel-control-prev{
    left: 0;
    right: auto;
}

// Tooltip
.bs-tooltip-left .arrow::before, .bs-tooltip-auto[x-placement^='left'] .arrow::before{
    border-width: 0.4rem 0 0.4rem 0.4rem;
    border-left-color: $tooltip-bg;
}
.bs-tooltip-left .arrow, .bs-tooltip-auto[x-placement^='left'] .arrow {
    right: 0;
    left: auto;
}

.bs-tooltip-right .arrow::before, .bs-tooltip-auto[x-placement^='right'] .arrow::before{
    border-width: 0.4rem 0.4rem 0.4rem 0;
    border-right-color: $tooltip-bg;
}
.bs-tooltip-right .arrow, .bs-tooltip-auto[x-placement^='right'] .arrow {
    left: 0;
    right: auto;
}

// Popover Style
.popover{
    right: auto !important;
}

// Quill Editor
.ql-snow .ql-picker:not(.ql-color-picker):not(.ql-icon-picker) svg{
    right: auto !important;
}

// Perfact scrollbar RTL fix
body .ps__rail-y{
    right: auto !important;
    left: 1px !important;
}

.pad-right40{
	padding-right:40px;
}
.pad-bottom20{
	padding-bottom:20px;
}
.m-10{
	margin-left: 10px !important;    
    margin-right: 10px !important;
} 
.menu-expanded .sidenav-overlay{
    display: block;
}
.pad-rl0{
    padding-right:5px !important;
    padding-left:5px !important;
}
.col-md-6.modified {
    flex: 0 0 49% !important;
    max-width: 49% !important;
}
.input-group-text{
    background:#ffffff;
    min-width: 150px;
}
#todate_root{
	right: 50%;
}
.navigation #todate_root {
    right: 24%;
}
@-webkit-keyframes animate-positive{
    0% { width: 0%; }
}
@keyframes animate-positive{
    0% { width: 0%; }
}
.height-350.barwrap {
    height: 338px !important;
}
@media only screen and (max-device-width: 767px) {
    .d-flex.twcolrow{
        display:block !important;
    }
    .col-md-6.modified {
        flex: 0 0 100% !important;
        max-width: 100% !important;
    }
}

@media only screen and (min-device-width: 900px) and (max-device-width: 1900px) {
    .height-350.barwrap {
        height: 360px !important;
    }
    .firstrow .col-lg-3{
        flex: 0 0 50%;
        max-width: 50%;
    }
    .secondrow .col-lg-5 {
        flex: 0 0 50%;
        max-width: 50%;
    }
    .secondrow .col-lg-4 {
        flex: 0 0 50%;
        max-width: 50%;
    }
    .secondrow .col-lg-3 {
        flex: 0 0 100%;
        max-width: 100%;
        display:flex;
        justify-content: space-between; 
    }
    .secondrow .carddata{        
        flex: 0 0 49%;
        max-width: 49%; 
    }
    .secondrow .carddata.height-250{
        height: auto !important;
    }
}
.accordion {
    .collapse-title, .collapse-bordered {
        .collapse-title {
            font-weight: bold !important;
        }
    } 
    .card-header {
        background:#eeeeee !important;
        font-weight: bold !important;
    }
} 

.feather.icon-arrow-down.color-orange, .feather.icon-arrow-up.color-green{
    float: right;
    position: relative;
    top: 5px;
    left: 2px;
}
.feather.icon-alert-circle.cursor-pointer.color-orange, .fa.fa-thumbs-o-up.cursor-pointer.color-green{
    float: right;
    position: relative;
    top: 5px;
    left: 5px;
}
@media only screen and (min-width: 1024px){
	.chartbox{
		margin: 65px 0px 5px;
	}
}
.flowchartpart .card-body{
	padding: 0px;
}
#centerbox{
	top: -25px;
	position: relative;
}
.chartbox #centerbox .fchart{
	background: #5A30DC 0% 0% no-repeat padding-box;
	box-shadow: -1px 1px 8px #FFFFFF94;
	border-radius: 5px;
	font-size: 20px;
    color: #fff;
    line-height: 29px;
	font-weight: bold;
	padding: 18px 40px;
}
.chartbox{
	text-align: center;
}
.flowchart .col-md-4.col-4{
	display: inline;
	text-align: center;
}
.flowchart .col-md-4.col-4 .fchart{
	background: #F1F1F1 0% 0% no-repeat padding-box;
	box-shadow: -1px 1px 8px #FFFFFF94;
	padding: 16px 10px 13px;
	border-radius: 5px;
	font-size: 16px;
	font-weight: bold;
	color: #4A4A4A;
	line-height: 19px;
}
.flowchart span{
	color: #5A30DC;
	font-size: 14px;
	line-height: 18px;
	font-weight: 900;
}
.chartbox .centerarrow.r1, .chartbox .centerarrow.r3{
	height: 30px;
	position: relative;
	top: -15px;
	right: 14.5%;
}
.chartbox .centerarrow.r3{
	right: 13.5%;
}
.chartbox .centerarrow.r2{
	height: 60px;
	position: relative;
	right: 14%;
}
.chartbox .centerarrow.r1.last{
	right: 29%;
	top: -27px;
}
.chartbox .centerarrow.r2.last{
	height: 0px;
}
.chartbox .centerarrow.r3.last{
	right: -1%;
	top: -27px;
}
.centerarrow1,.centerarrow2, .centerarrow3{
	position: relative;
}
.centerarrow11 .line, .centerarrow13 .line{
	transform: rotate(90deg);
	height: 80px;
}
.centerarrow11 .myarrow, .centerarrow13 .myarrow{
	top: -68px;
}
.centerarrow11{
	right: 22%;
	position: relative;
}
.centerarrow12{
	right: 14%;
	position: relative;
}
.centerarrow13{
	right: 6%;
	position: relative;
}
.centerarrow.r2:before{
	content: '\f0d7';
	font-family: 'FontAwesome';
	color: #979797;
	font-size: 22px;
	position: absolute;
	right: 9px;
	top: 13px;
}
.centerarrow11:before,.centerarrow13:before{
	content: '\f0d7';
	font-family: 'FontAwesome';
	color: #979797;
	font-size: 22px;
	position: absolute;
	right: 9px;
	top: -43px;
	transform: rotate(90deg);
}
.centerarrow13:before{
	transform: rotate(-90deg);
}
.chartbox .centerarrow.r1.last.row2,.chartbox .centerarrow.r3.last.row2{
	top: -23px;
}
.centerarrow11.row2, .centerarrow13.row2{
	top: 6px
}
.chartbox .centerarrow.r1.row2, .chartbox .centerarrow.r3.row2{
	top: -35px;
}
.centerarrow.r2.row2{
	top: -54px;
}
#no4 , #no5, #no6{
	position: relative;
	top: -48px;
}
.myarrow{
	position:absolute;
	top:0;
	bottom:0;
}
.centerarrow.r2 .line{
	height: 63px;
}
.line{
	border-right: 2px dotted #979797;
	display:inline-block;
	height: 30px;
}
.arrow{
	position:absolute;
	top:-0.3rem;
	bottom:0;
	height:1rem;
	border-right: 0.2rem solid red;
	display: inline-block;
}
.right{
	left:0.3rem;
	transform: rotate(-45deg);
}
.left{
	right:0.3rem;
	transform: rotate(45deg);
}
@media only screen and (min-width: 768px) and (max-width: 1024px) {
	.chartbox {
		margin: 65px 0px 0px;
	}
}
@media only screen and (min-width: 1024px) and (max-width: 1366px) {
	.chartbox {
		margin: 65px 0px 0px;
	}
	.flowchartpart .col-xs-4.col-md-4.col-4{
		padding-left: 9px;
		padding-right: 9px;
	}
	.flowchart .col-md-4.col-4 .fchart{
		padding: 16px 5px 13px;
	}
	.chartbox #centerbox .fchart{
		padding: 15px 25px;
	}
	.centerarrow11 .myarrow, .centerarrow13 .myarrow {
		top: -62px;
	}
	.centerarrow11 .line, .centerarrow13 .line {
		height: 66px;
	}
	.centerarrow11:before, .centerarrow13:before{
		top: -44px;
	}
	.centerarrow.r2:before{
		right: 4.5px;
	}
}
@media only screen and (min-width: 1600px) and (max-width: 1750px){
	.centerarrow11 .myarrow, .centerarrow13 .myarrow{
		top: -61px;
	}
	.centerarrow11 .line, .centerarrow13 .line{
		height: 65px;
	}
	.chartbox .centerarrow.r1 {
		right: 15.5%;
	}
	.chartbox .centerarrow.r3 {
		right: 12.5%;
	}
}
@media only screen and (min-width: 1367px) and (max-width: 1600px) {
	.centerarrow11 .myarrow, .centerarrow13 .myarrow{
		top: -61px;
	}
	.centerarrow11 .line, .centerarrow13 .line{
		height: 65px;
	}
}
@media only screen and (min-width: 1270px) and (max-width: 1366px) {
	.centerarrow11 .myarrow, .centerarrow13 .myarrow{
		top: -54px;
	}
	.centerarrow11 .line, .centerarrow13 .line{
		height: 52px;
	}
}
@media only screen and (min-width: 1025px) and (max-width: 1271px) {
	.centerarrow11 .myarrow, .centerarrow13 .myarrow{
		top: -50px;
	}
	.centerarrow11 .line, .centerarrow13 .line{
		height: 43px;
	}
}
@media only screen and (max-width: 767px){
	.flowchartpart.card .card-header{
		padding: 1.5rem 1.5rem 1rem;
	}
	.flowchartpart .card-body {
		padding: 1px 5px;
	}
	.flowchart .col-md-4.col-4 .fchart {
		padding: 10px 8px 7px;
		font-size: 14px;
        line-height: 15px;
	}
	.flowchart span {
		font-size: 12px;
		line-height: 16px;
	}
	.chartbox #centerbox .fchart {
		font-size: 16px;
		line-height: 25px;
		padding: 8px 15px;
	}
	.flowchartpart .col-xs-7.col-md-7.col-7{
		padding-left: 3px;
		padding-right: 3px;
	}
	.centerarrow11 .myarrow, .centerarrow13 .myarrow {
		top: -48px;
	}
	.centerarrow11 .line, .centerarrow13 .line {
		height: 40px;
	}
	.centerarrow.r2:before {
		right: 8.5px;
	}
}
.flowchartpart .card .card-header {
	padding: 15px 5px 0;
}
/*rtl:end:ignore*/
